#### D.15.2.10 piecewiseWeightOfPolygon

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  piecewiseWeightOfPolygon(NP); a list NP as given by @ref(newtonPolygon)

Return:
  the piecewiseweight defined by the Newton polygon NP

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    list NP = newtonPolygon(f);
    piecewiseWeightOfPolygon(NP);
    ==> [1]:
    ==>    18,9
    ==> [2]:
    ==>    12,12
    ==> [3]:
    ==>    8,20

User manual for Singular version 4.4.1, 2025, generated by texi2html.